Subject: RE: BIND issue: 5.1_LOOP_STATUS

From: "Clemm, Geoff" <[email-masked]>
Date: Fri, 7 Feb 2003 21:07:37 -0500

OK, I'll mark this issue as closed unless someone objects.

Cheers,
Geoff

-----Original Message-----
From: Julian Reschke [mailto:[email-masked]]
Sent: Friday, February 07, 2003 9:02 AM
To: [email-masked]
Subject: BIND issue: 5.1_LOOP_STATUS

Back in October, Geoff Clemm wrote:

> If we handled it the way proposed below, the old clients will just ignore
> the new element, and the user will incorrectly conclude that the
collection
> had no child by that name.  With the original proposal, users of
> old clients will be told that there is a child, and will get the
> error message that they've already seen that child, so it is
> being left out of the report.  I think the later is preferable.

I agree that introducing a new error marshalling concept just for an edge
case here (Depth: infinity and bind loop) is unnecessary, in particular if
it may confuse old clients. Therefore the issue should be closed.

Julian

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760